Bug 632235 - SR #2038160 sudo gives a 'cache error' whenever a user or group name is fetched from Active Directory via LDAP or QAS and is in mixed case
SR #2038160 sudo gives a 'cache error' whenever a user or group name is fetch...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sudo (Show other bugs)
5.5
All Linux
high Severity high
: rc
: ---
Assigned To: Daniel Kopeček
BaseOS QE Security Team
: OtherQA, ZStream
Depends On: 615179
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-09 09:27 EDT by RHEL Product and Program Management
Modified: 2013-01-10 22:17 EST (History)
11 users (show)

See Also:
Fixed In Version: sudo-1.7.2p1-9.el5_5
Doc Type: Bug Fix
Doc Text:
Previously, 'sudo' returned a 'cache error' whenever a mixed cased user name or a mixed cased group name was fetched from an Active Directory via LDAP (Lightweight Directory Access Protocol) or QAS (Quest Authentication Services). With this update, the case of a user name or a group name is ignored and 'sudo' no longer returns a 'cache error'.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-19 03:26:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2010-09-09 09:27:25 EDT
This bug has been copied from bug #615179 and has been proposed
to be backported to 5.5 z-stream (EUS).
Comment 4 Martin Prpic 2010-09-29 07:01:06 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, 'sudo' returned a 'cache error' whenever a mixed cased user name or a mixed cased group name was fetched from an Active Directory via LDAP (Lightweight Directory Access Protocol) or QAS (Quest Authentication Services). With this update, the case of a user name or a group name is ignored and 'sudo' no longer returns a 'cache error'.
Comment 7 errata-xmlrpc 2010-10-19 03:26:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0777.html

Note You need to log in before you can comment on or make changes to this bug.